import $http from "./request/requestConfig"
import {
    BASE_URI
} from "../pages/utils/constant.js";
import qs from 'qs';

const baseUri = ''
const dict = '/wx/dict/'
const dock = '/wx/dock/'

export function getDockCarType(data) {
    return $http.post(
        baseUri + dict + 'getDockCarType',
        data, {}
    )
}

// /wx/dock/getCarNoByBizAndUser
// 车牌号选择数据
export function getCarNoByBizAndUser(data) {
    return $http.post(
        baseUri + dock + 'getCarNoByBizAndUser',
        data, {}
    )
}
// /wx/dock/getBizByUsername
export function getBizByUsername(data) {
    return $http.post(
        baseUri + dock + 'getBizByUsername',
        data, {}
    )
}

export function getHistoryDriverNameByUserId(data) {
    return $http.post(
        baseUri + dock + 'getHistoryDriverNameByUserId',
        data, {}
    )
}

// /wx/dock/getDockSelectList
export function getDockSelectList(data) {
    return $http.post(
        baseUri + dock + 'getDockSelectList',
        data, {}
    )
}
// getDockLoadType
export function getDockLoadType(data) {
    return $http.post(
        baseUri + dict + 'getDockLoadType',
        data, {}
    )
}
export function getAvailableDateList(data) {
    return $http.post(
        baseUri + dock + 'getAvailableDateList',
        data, {}
    )
}
// /wx/dock/getDockTimeList
export function getDockTimeList(data) {
    return $http.post(
        baseUri + dock + 'getDockTimeList',
        data, {}
    )
}
// /wx/dock/submitReservation
export function submitReservation(data) {
    return $http.post(
        baseUri + dock + 'submitReservation',
        data, {}
    )
}
export function submitReservationByBiz(data) {
    return $http.post(
        baseUri + dock + 'submitReservationByBiz',
        data, {}
    )
}
export function updateReservationByBiz(data) {
    return $http.post(
        baseUri + dock + 'updateReservationByBiz',
        data, {}
    )
}
// /wx/dock/submitReservationByBiz
export function getHistoryContactPhoneByUserId(data) {
    return $http.post(
        baseUri + dock + 'getHistoryContactPhoneByUserId',
        data, {}
    )
}
// /wx/dock/updateReservation
export function updateReservation(data) {
    return $http.post(
        baseUri + dock + 'updateReservation',
        data, {}
    )
}
export function getCarDataByBiz(data) {

    return $http.post(
        '/wx/dock/getCarDataByBiz',
        data, {}
    )
}
// /wx/dock/bizCarListPage
export function bizCarListPage(data) {
    return $http.post(
        '/wx/dock/bizCarListPage',
        data, {}
    )
}
// /wx/dock/addCar
export function addCar(data) {
    return $http.post(
        '/wx/dock/addCar',
        data, {}
    )
}

// /wx/dock/deleteCar
export function deleteCar(data) {
    return $http.post(
        '/wx/dock/deleteCar',
        data, {}
    )
}
